/*// JavaScript Document
$('#btnCarregaFotoWebSite').live('click',function(){
	var album = $(this).attr('album');
	var usuario = $(this).attr('usuario');
	var pag = $(this).attr('pag');
	var cont =  $(this).attr('cont');
	
	
				
			$.ajax({
			 type: "POST",
			 url: "website/ax.website.php",
			 data: 'ax=WebSite&album='+album+'&usuario='+usuario+'&pag='+pag, 
			 beforeSend: function(){$("#"+cont).html(Load()).fadeIn('slow');},
			 success: function(R){$("#"+cont).html(R).fadeIn('slow');} ,
			 error: function(R){ $("#"+cont).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#"+cont).html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
		  
		  	//Retorna todo os link da foto 
			$.ajax({
			 type: "POST",
			 url: "website/ax.website.php",
			 data: 'ax=RetornoScript&album='+album+'&usuario='+usuario+'&pag='+pag, 
			 success: function(R){$("#pnRetornoScript").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnRetornoScript").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnRetornoScript").html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
		  
	
	
	return false;
})
*/

        $( "#btnAmpliacao, #btnBioombo, #btnOutros, #btnAlbum, #btnCapa" )
            .button()
            .click(function() {
                show( "Controde de Botão do X9 " + $(this).html());
				return false;
            })
            .next()
                .button({
                    text: false,
                    icons: {
                        primary: "ui-icon-triangle-1-s"
                    }
                })
                .click(function() {
                    var menu = $( this ).parent().next().show().position({
                        my: "left top",
                        at: "left bottom",
                        of: this
                    });
                    $( document ).on( "click", function() {
                        menu.hide();
                    });
                    return false;
                })
                .parent()
                    .buttonset()
                    .next()
                        .hide()
                        .menu();
						
						

			$('#pnNovoAlbum').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 650, // altura
					width  : 750 // largura
			})
			
			$('#pnAllAlbunsPicasa').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 710, // altura
					width  : 770 // largura
			})
			
			
			
			$('#pnUpdateDescricaoWebSite').dialog({
					autoOpen: false,
					modal: true,
					resizable: false,
					height : 200, // altura
					width  : 550, // largura
					buttons :{
								'Salvar'  :function(){
														 var desc = $('#edtUpdDescricaoWebSite').val();
														 var id_album_picasa = $('#id_album_picasa').val();
														 if(desc == ''){
															show('Informe uma nova descrição');
														  return false;	 
														 }
														UpdateDescricaoWebSite(id_album_picasa, desc);
														$(this).dialog('close'); 
														 
													 },
								'Cancelar':function(){$(this).dialog('close');}
							}
			})
				
			


//Carregar Album evento
CarregarAlbunsEvento($('#id_evento').val());
	



function VerificarAlbumPicasa(album, usuario, nome_painel_returno, id_evento){
					$.ajax({
						 type: "POST",
						 url: "website/ax.website.php",
						 data: 'ax=LocAlbumPicasa&album='+album+'&usuario='+usuario+'&id_evento='+id_evento, 
						 beforeSend: function(){$("#"+nome_painel_returno).html(Load()).fadeIn('slow');},
						 success: function(R){$("#"+nome_painel_returno).html(R).fadeIn('slow');
						 						$('#edtQtoFotosWebSite').val($('#EdtQtoFotosOcuto').val());
												} ,
						 error: function(R){ $("#"+nome_painel_returno).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
											  $("#"+nome_painel_returno).html('ui-state-error ui-corner-all');
											  }
					  }) //fim ajax		
}


function InsertAlbumPicasaWebSite(usuario, album, descricao, id_evento, website, qto_fotos, destino){
						$.ajax({
						 type: "POST",
						 url: "website/ax.website.php",
						 data: 'ax=InsertAlbumPicasa&usuario='+usuario+'&album='+album+'&descricao='+descricao+'&id_evento='+id_evento+'&website='+website+'&qto_fotos='+qto_fotos+'&destino='+destino, 
						 beforeSend: function(){$("#pnResultadoLocAlbumPicasa").html(Load()).fadeIn('slow');},
						 success: function(R){ $('#pnNovoAlbum').dialog('close');
						 					   CarregarAlbunsEvento(id_evento);
											  } ,
						 error: function(R){ $("#pnResultadoLocAlbumPicasa").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
											  $("#pnResultadoLocAlbumPicasa").html('ui-state-error ui-corner-all');
											  }
					  }) //fim ajax	

}



function LocalizarAllAlbunsPicasa(usuario, paginas){
						$.ajax({
						 type: "POST",
						 url: "website/ax.website.php",
						 data: 'ax=AllAlbuns&usuario='+usuario+'&paginas='+paginas, 
						 beforeSend: function(){$("#pnAllAlbunsPicasa").html(Load()).fadeIn('slow');},
						 success: function(R){$("#pnAllAlbunsPicasa").html(R).fadeIn('slow');} ,
						 error: function(R){ $("#pnAllAlbunsPicasa").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
											  $("#pnAllAlbunsPicasa").html('ui-state-error ui-corner-all');
											  }
					  }) //fim ajax	

}


function CarregarUsuarioPicasa(){
				$.ajax({
			 type: "POST",
			 url: "website/usuario_picasa.php",
			 //data: 'ax=WebSite&album='+album+'&usuario='+usuario+'&pag='+pag, 
			 beforeSend: function(){$("#pnUsuarioPicasa").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnUsuarioPicasa").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnUsuarioPicasa").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnUsuarioPicasa").html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
 	
}


function CarregarX9LocalDescricao(){
			$.ajax({
			 type: "POST",
			 url: "website/x9_local_descricao.php",
			 //data: 'ax=WebSite&album='+album+'&usuario='+usuario+'&pag='+pag, 
			 beforeSend: function(){$("#pnLocalX9New").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnLocalX9New").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnLocalX9New").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnLocalX9New").html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
 	
}



function CarregarAlbunsEvento(id_evento){
			$.ajax({
			 type: "POST",
			 url: "website/albuns.php",
			 data: 'id_evento='+id_evento, 
			 beforeSend: function(){$("#pnAlbuns").html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnAlbuns").html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnAlbuns").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnAlbuns").html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax	
	
}


function UpdateDescricaoWebSite(id_album_picasa, descricao){
	$.ajax({
			 type: "POST",
			 url: "website/ax.website.php",
			 data: 'ax=UpdateDescricaoWebSite&id_album_picasa='+id_album_picasa+'&descricao='+descricao, 
			 beforeSend: function(){$("#pnId_album_picasa"+id_album_picasa).html(Load()).fadeIn('slow');},
			 success: function(R){$("#pnId_album_picasa"+id_album_picasa).html(R).fadeIn('slow');} ,
			 error: function(R){ $("#pnId_album_picasa"+id_album_picasa).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnId_album_picasa"+id_album_picasa).html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
	
}


function DeleteWebSite(id_album_picasa, id_evento){
		$.ajax({
			 type: "POST",
			 url: "website/ax.website.php",
			 data: 'ax=DeletaAlbumPicasa&id_album_picasa='+id_album_picasa, 
			 beforeSend: function(){$("#pnAlbuns").html(Load()).fadeIn('slow');},
			 success: function(R){ CarregarAlbunsEvento(id_evento) } ,
			 error: function(R){ $("#pnAlbuns").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
								  $("#pnAlbuns").html('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax
	
}


